﻿using DressAtelierContracts.BindingModels;
using DressAtelierContracts.SearchModels;
using DressAtelierContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DressAtelierContracts.StorageContracts
{
    public interface IMessageInfoStorage
    {
        List<MessageInfoViewModel> GetFullList(); 
        List<MessageInfoViewModel> GetFilteredList(MessageInfoSearchModel model); 
        MessageInfoViewModel? GetElement(MessageInfoSearchModel model); 
        MessageInfoViewModel? Insert(MessageInfoBindingModel model);
    }
}
